org.apache.hadoop.yarn.webapp.hamlet2

## Interface HamletSpec._Object

- All Known Subinterfaces:
    HamletSpec._Cell, HamletSpec._Head, HamletSpec._Html, HamletSpec._ImgObject, HamletSpec.A, HamletSpec.ABBR, HamletSpec.ACRONYM, HamletSpec.ADDRESS, HamletSpec.B, HamletSpec.BDO, HamletSpec.BUTTON, HamletSpec.CAPTION, HamletSpec.CITE, HamletSpec.CODE, HamletSpec.DD, HamletSpec.DEL, HamletSpec.DFN, HamletSpec.DIV, HamletSpec.DT, HamletSpec.EM, HamletSpec.FIELDSET, HamletSpec.Flow, HamletSpec.H1, HamletSpec.H2, HamletSpec.H3, HamletSpec.H4, HamletSpec.H5, HamletSpec.H6, HamletSpec.HEAD, HamletSpec.HeadMisc, HamletSpec.HTML, HamletSpec.I, HamletSpec.Inline, HamletSpec.INS, HamletSpec.KBD, HamletSpec.LABEL, HamletSpec.LEGEND, HamletSpec.LI, HamletSpec.OBJECT, HamletSpec.P, HamletSpec.Q, HamletSpec.SAMP, HamletSpec.SMALL, HamletSpec.SPAN, HamletSpec.Special, HamletSpec.STRONG, HamletSpec.SUB, HamletSpec.SUP, HamletSpec.TD, HamletSpec.TH, HamletSpec.VAR
  All Known Implementing Classes:
    Hamlet, Hamlet.A, Hamlet.ABBR, Hamlet.ACRONYM, Hamlet.ADDRESS, Hamlet.B, Hamlet.BDO, Hamlet.BUTTON, Hamlet.CAPTION, Hamlet.CITE, Hamlet.CODE, Hamlet.DD, Hamlet.DEL, Hamlet.DFN, Hamlet.DIV, Hamlet.DT, Hamlet.EM, Hamlet.FIELDSET, Hamlet.H1, Hamlet.H2, Hamlet.H3, Hamlet.H4, Hamlet.H5, Hamlet.H6, Hamlet.HEAD, Hamlet.HTML, Hamlet.I, Hamlet.INS, Hamlet.KBD, Hamlet.LABEL, Hamlet.LEGEND, Hamlet.LI, Hamlet.OBJECT, Hamlet.P, Hamlet.Q, Hamlet.SAMP, Hamlet.SMALL, Hamlet.SPAN, Hamlet.STRONG, Hamlet.SUB, Hamlet.SUP, Hamlet.TD, Hamlet.TH, Hamlet.VAR, HtmlBlock.Block, HtmlPage.Page
  Enclosing class:
    HamletSpec

      public static interface HamletSpec._Object

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `HamletSpec.OBJECT` | `object()` Add an object element.
    `HamletSpec.OBJECT` | `object(String selector)` Add an object element.

- - ### Method Detail

    - #### object

          HamletSpec.OBJECT object()

      Add an object element.
      Returns:
        an object element builder

    - #### object

          HamletSpec.OBJECT object(String selector)

      Add an object element.
      Parameters:
        `selector` - as #id.class etc.
      Returns:
        an object element builder

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.